|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTableWidgetSelectionRange Class Reference
[QtGui module]

The QTableWidgetSelectionRange class provides a container for storing a selection range in a QTableWidget. More...

     #include <QTableWidgetSelectionRange>

- List of all members, including inherited members

### Public Functions

- QTableWidgetSelectionRange ()
- QTableWidgetSelectionRange ( int top, int left, int bottom, int right )
- QTableWidgetSelectionRange ( const QTableWidgetSelectionRange & other )
- ~QTableWidgetSelectionRange ()
- int bottomRow () const
- int columnCount () const
- int leftColumn () const
- int rightColumn () const
- int rowCount () const
- int topRow () const

## Detailed Description

The QTableWidgetSelectionRange class provides a container for storing a selection range in a QTableWidget.

The QTableWidgetSelectionRange class stores the top left and bottom right rows and columns of a selection range in a table. The selections in the table may consist of several selection ranges.

See also QTableWidget.

## Member Function Documentation

### QTableWidgetSelectionRange::QTableWidgetSelectionRange ()

Constructs an table selection range, i.e. a range whose rowCount() and columnCount() are 0.

### QTableWidgetSelectionRange::QTableWidgetSelectionRange ( int top, int left, int bottom, int right )

Constructs the table selection range from the given top, left, bottom and right table rows and columns.

See also topRow(), leftColumn(), bottomRow(), and rightColumn().

### QTableWidgetSelectionRange::QTableWidgetSelectionRange ( const QTableWidgetSelectionRange & other )

Constructs a the table selection range by copying the given other table selection range.

### QTableWidgetSelectionRange::~QTableWidgetSelectionRange ()

Destroys the table selection range.

### int QTableWidgetSelectionRange::bottomRow () const

Returns the bottom row of the range.

See also topRow(), rightColumn(), and rowCount().

### int QTableWidgetSelectionRange::columnCount () const

Returns the number of columns in the range.

This is equivalent to rightColumn() - leftColumn() + 1.

This function was introduced in Qt 4.1.

See also rowCount(), leftColumn(), and rightColumn().

### int QTableWidgetSelectionRange::leftColumn () const

Returns the left column of the range.

See also rightColumn(), topRow(), and columnCount().

### int QTableWidgetSelectionRange::rightColumn () const

Returns the right column of the range.

See also leftColumn(), bottomRow(), and columnCount().

### int QTableWidgetSelectionRange::rowCount () const

Returns the number of rows in the range.

This is equivalent to bottomRow() - topRow() + 1.

This function was introduced in Qt 4.1.

See also columnCount(), topRow(), and bottomRow().

### int QTableWidgetSelectionRange::topRow () const

Returns the top row of the range.

See also bottomRow(), leftColumn(), and rowCount().